/* form navigation */
.event_signup--form>.nav>ol {
    list-style-type: none;
    margin: 0;
    padding: 0;
    background: var(--spryg--preset--color--offwhite);
    color: var(--spryg--preset--color--black);
    display: flex;
    overflow: hidden;

    &>li {
        flex-grow: 1;

        &>a {
            display: block;
            text-decoration: none;
            padding: .3em 3em;
            margin: 0 -9px;
            clip-path: polygon(0% 0%, calc(100% - 18px) 0, 100% 50%, calc(100% - 18px) 100%, 0% 100%, 18px 50%, 0% 0%);
        }

        &:first-child>a {
            clip-path: polygon(0% 0%, calc(100% - 18px) 0, 100% 50%, calc(100% - 18px) 100%, 0% 100%);
        }

        &:last-child.current>a {
            clip-path: polygon(0% 0%, 100% 0, 100% 100%, 0% 100%, 18px 50%, 0% 0%);
        }

        &.current>a {
            background: var(--spryg--preset--color--yellow);
            color: var(--spryg--preset--color--black);
            z-index: 100;
        }
    }

}

button.btn>span.icon,
button.subscribe-button>span.icon {
    display: none;
}


@media only screen and (max-width: 800px) {
    .event_signup--form>.nav>ol {
        &>li a {
            display: none;
        }

        &>li.current>a {
            display: block;
        }
    }
}

/* form fields */
.event_signup--form {

    & .form-group.row>div {
        flex-grow: 1;
        flex-basis: 250px;
    }

    & input {
        border: 1px solid var(--spryg--preset--color--grey);
        accent-color: var(--spryg--preset--color--yellow);
        border-radius: 3px;
    }

    & input:focus,
    textarea:focus {
        color: inherit !important;
        border-color: var(--spryg--preset--color--yellow) !important;
        outline: none;
    }

    & label {
        font-size: 0.95rem;
    }

    & hr {
        border-bottom: 1px solid var(--spryg--preset--color--offwhite);
    }

    & .attendee+.attendee {
        margin-top: 3em;
    }

    /* custom control */
    & .custom-control.custom-radio {

        display: flex;
        flex-direction: row;
        gap: 0.5em;
        margin-top: .4em;

        & .custom-control-input {
            -webkit-appearance: none;
            appearance: none;
            background-color: #fff;
            margin: 0;

            display: grid;
            place-content: center;

            font: inherit;
            color: currentColor;
            width: 1.22em;
            height: 1.2em;
            border: 1px solid currentColor;
            border-radius: 50%;

            aspect-ratio: 1;
        }

        & .custom-control-input::before {
            content: "";
            width: 0.80em;
            height: 0.80em;
            border-radius: 50%;
            background: var(--spryg--preset--color--yellow);
            transform: scale(0);
            transition: 120ms transform ease-in-out;
            box-shadow: inset 1em 1em var(--spryg--preset--color--yellow);
        }

        & .custom-control-input:checked::before {
            transform: scale(1);
        }

        &:last-child {
            margin-bottom: 1em;
        }

    }

    & .custom-control.custom-checkbox {

        display: flex;
        flex-direction: row;
        gap: 0.5em;
        margin-top: .4em;

        & .custom-control-input {
            -webkit-appearance: none;
            appearance: none;
            background-color: #fff;
            margin: 3px 0 0 0;

            display: grid;
            place-content: center;

            font: inherit;
            color: currentColor;
            width: 1.4em;
            height: 1.4em;
            border: 1px solid currentColor;
            overflow: hidden;
        }

        & .custom-control-input::before {
            content: "";
            width: 1.4em;
            height: 1.4em;
            background-color: var(--spryg--preset--color--yellow);
            background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%23FFF' d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z'/%3e%3c/svg%3e");
            background-position: center center;
            background-size: 60%;
            background-repeat: no-repeat;
            opacity: 0;
            transition: 120ms opacity ease-in-out;
            box-shadow: none;
        }

        & .custom-control-input:checked::before {
            opacity: 1;
        }

        & .custom-control-input:checked {
            border-color: var(--spryg--preset--color--yellow);
        }

        &:last-child {
            margin-bottom: 1em;
        }

    }

    & textarea {
        display: block;
        width: 100%;
        height: 5em;
        margin-bottom: 1em;
    }

    /* field error */
    & input.is-invalid {
        border-color: var(--spryg--preset--color--error) !important;
    }

    & .invalid-feedback {
        color: var(--spryg--preset--color--grey);
        font-size: 0.8rem;
        margin: -1em 0 .4em 0;

        & :last-child {
            margin-bottom: 1em;
        }
    }

    /* buttons */
    & .btn-next {
        margin-top: 2em;
    }

    & .btn-prev {
        display: inline-block;
        position: relative;
        margin-top: 1em;
        padding-left: 1em;
        color: var(--spryg--preset--color--grey);
    }

    & .btn-prev:before {
        position: absolute;
        left: 0.3em;
        top: 50%;
        content: " ";
        width: 0.4em;
        height: 0.4em;
        border-top: 2px solid var(--spryg--preset--color--grey);
        border-left: 2px solid var(--spryg--preset--color--grey);
        transform: rotate(-45deg) translateY(-35%) translateX(40%);
        transition: .4s;
    }

    & .btn-prev:hover:before {
        left: 0em;
    }

    /* meerdere data naast elkaar */
    div.first>.attendee+.form-group>.justify-content-start {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
        gap: 0 1em;
    }
}

/* heritage.. workaround ): */
.event_sidebar--item,
.seperator {
    display: none !important;
}

div[style]:empty {
    max-height: 10px;
}